package com.example;
//导入所需的类和接口
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import java.util.ArrayList;
import java.util.List;
public class ViewPagerAdapter extends FragmentPagerAdapter {
    private List<Fragment> fragments = new ArrayList<>();
    private List<String> fragmentTitles = new ArrayList<>();
    //两个列表将会存储即将被加入到ViewPager中的 Fragment 和 页面标题。
    public ViewPagerAdapter(FragmentManager fm) {
        super(fm);
    }

    public void addFragment(Fragment fragment, String title) {
        fragments.add(fragment);
        fragmentTitles.add(title);
    }//用于添加 Fragment 和对应的标题到 fragments 和 fragmentTitles 列表中。
    //重写 getItem() 方法是为了返回 ViewPager 中要求位置的 Fragment 实例。
    @Override
    public Fragment getItem(int position) {
        return fragments.get(position);
    }
    //getCount() 返回在适配器中的 Fragment 数量。
    @Override
    public int getCount() {
        return fragments.size();
    }
    //getPageTitle() 方法返回在 ViewPager 中要求位置的页面标题。
    @Override
    public CharSequence getPageTitle(int position) {
        return fragmentTitles.get(position);
    }
}

